name: crystal
version: 0.31.1
release: 1
sources: https://github.com/crystal-lang/crystal/archive/%{version}.tar.gz -> %{name}-%{version}.tar.gz

build-dependencies:
	- llvm-6-dev

dependencies:
	- libyaml
	- libevent
	- pcre
	- llvm-6
	- libressl

@build
	cd %{name}-%{version}
	make release=1 \
		FLAGS="--release --no-debug" \
		CRYSTAL_PATH="$(pwd)/src" \
		CRYSTAL_CONFIG_VERSION="%{version}" \
		CRYSTAL_CONFIG_PATH="lib:%{prefix}/lib/crystal" \
		CRYSTAL_CACHE_DIR="/tmp/crystal" \
		LLVM_CONFIG=/usr/bad/llvm-6/bin/llvm-config
	make docs CRYSTAL_CACHE_DIR="/tmp/crystal"

@install
	cd %{name}-%{version}

	mkdir -p \
		"%{pkg}%{prefix}/bin" \
		"%{pkg}%{prefix}/lib" \
		"%{pkg}%{prefix}/share/man/man1"

	install -m755 ".build/crystal" "%{pkg}%{prefix}/bin/crystal"

	cp -r src "%{pkg}%{prefix}/lib/crystal"
	(
		cd "%{pkg}%{prefix}/lib/crystal"
		rm -rf ext/sigfault.* llvm/ext/llvm_ext.o
	)

	mkdir -p "%{pkg}%{prefix}/share/doc/crystal"
	cp -r docs "%{pkg}%{prefix}/share/doc/crystal/api"
	cp -r samples "%{pkg}%{prefix}/share/doc/crystal/"

	install -m644 man/crystal.1 "%{pkg}%{prefix}/share/man/man1/"

	# We’ll probably want those at some point… in due time, and in splits.
	#install -m644 etc/completion.bash "%{pkg}%{prefix}/share/bash-completion/completions/crystal"
	#install -m644 etc/completion.zsh "%{pkg}%{prefix}/share/zsh/site-functions/_crystal"

